Skip to main content
POST
/
workflow
/
{workflow_id}
/
actions
/
{action_id}
/
remove
Remove Contacts at Action
curl --request POST \
  --url https://api.getoutbox.ai/workflow/{workflow_id}/actions/{action_id}/remove/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contact_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "remove_all": false
}
'
{
  "removed": 123,
  "cancelled": 123,
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

action_id
string<uuid>
required
workflow_id
string<uuid>
required

Body

contact_ids
string<uuid>[]
remove_all
boolean
default:false

Remove every waiting contact at this action.

Response

removed
integer
required
cancelled
integer
required
message
string
required